Bug 17931 - Remove unused vars from reserves_stats.pl
Summary: Remove unused vars from reserves_stats.pl
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Marcel de Rooy
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-18 13:08 UTC by Marcel de Rooy
Modified: 2017-06-14 22:17 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17931: Remove unused vars from reserves_stats (2.54 KB, patch)
2017-01-18 13:18 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 17931: Remove unused vars from reserves_stats (2.56 KB, patch)
2017-01-18 23:09 UTC, Emma
Details | Diff | Splinter Review
Bug 17931: Remove unused vars from reserves_stats (2.69 KB, patch)
2017-01-19 12:01 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Marcel de Rooy 2017-01-18 13:08:27 UTC

    
Comment 1 Marcel de Rooy 2017-01-18 13:18:27 UTC
Created attachment 59160 [details] [review]
Bug 17931: Remove unused vars from reserves_stats

Change to Modern::Perl.
Remove null_to_zzempty and add a few blank lines between subs.
Remove unused vars: $podsp, $type, $daysel, $monthsel and $mime.
Removing trailing 1;

Test plan:
Run a few reports from reports/reserves_stats.pl

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 2 Emma 2017-01-18 23:09:31 UTC
Created attachment 59191 [details] [review]
Bug 17931: Remove unused vars from reserves_stats

Change to Modern::Perl.
Remove null_to_zzempty and add a few blank lines between subs.
Remove unused vars: $podsp, $type, $daysel, $monthsel and $mime.
Removing trailing 1;

Test plan:
Run a few reports from reports/reserves_stats.pl

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Emma Smith <emma.nakamura.smith@gmail.com>
Comment 3 Marcel de Rooy 2017-01-19 07:36:42 UTC
(In reply to Emma from comment #2)
> Signed-off-by: Emma Smith <emma.nakamura.smith@gmail.com>

Thanks, Emma.
Comment 4 Jonathan Druart 2017-01-19 12:01:27 UTC
Created attachment 59232 [details] [review]
Bug 17931: Remove unused vars from reserves_stats

Change to Modern::Perl.
Remove null_to_zzempty and add a few blank lines between subs.
Remove unused vars: $podsp, $type, $daysel, $monthsel and $mime.
Removing trailing 1;

Test plan:
Run a few reports from reports/reserves_stats.pl

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Signed-off-by: Emma Smith <emma.nakamura.smith@gmail.com>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Wrongly pasted from reports/issues_stats.pl initially
Comment 5 Kyle M Hall 2017-01-19 12:46:09 UTC
Pushed to master for 17.05, thanks Marcel!
Comment 6 Katrin Fischer 2017-01-22 19:03:58 UTC
This patch has been pushed to 16.11.x and will be in 16.11.02.
Comment 7 Mason James 2017-01-27 03:09:56 UTC
Pushed to 16.05.x, for 16.05.08 release